@ECHO ON
@rem GNAT free Ada 95, 3.11p, Mar 1999, Windows 95.
@rem usage: [gadac progname adb] or [gadac progname ads]. Compiles Ada source programs
gnatmake %1.%2 %3 %4 %5 %6 %7 %8 %9 -O3 -gnato -m -v -gnatl -gnatf -gnatv -gnata -gnatq -gnatr -gnatwl -gnatu -largs -v -Xlinker --stack=0x100 >@.lst
@rem Num threads increased with --stack=0x100 And --stack=0x1. Once saw a hang with 0x10
@rem -O3     : optimize
@rem -g      : gdb
@rem -gnate  : Error messages generated immediately, not saved up till end.
@rem -gnata  : Activate Assert and Debug pragmas [Added nothing to size]
@rem -Wuninitialized : Generate warnings for uninitialized variables if -O switch is specified
@rem -gnato  : Enables overflow checking for integer operations. [Adds 1.52% to a 614KB program, with -O3]
@rem -gnatE  : Enables dynamic checks for access-before-elaboration on subprogram calls and generic instantiations.
@rem -gnatf  : Causes all error messages to be generated.
@rem -gnatg  : GNAT convention style checking.
@rem -gnatl  : Causes a full listing of the file to be generated.
@rem -gnatq  : Don't quit : continue with semantic analysis even if syntax errors have been found.
@rem -gnatr  : enforces the layout conventions suggested by the examples and syntax rules of the Ada 95 Language Reference Manual.
@rem -gnatu  : Print a list of units required by this compilation
@rem -gnatv  : Verbose long-format error messages
@rem -gnatwe : The w stands for warning and the e stands for error. This switch causes warning messages to be treated as errors.
@rem -gnatwl : The `l' stands for elaboration. Generate of additional warning messages relating to elaboration issues.
@rem -gnatwu : Bug
@rem -jn     : Use n processes to carry out the (re)complations.
@rem -m      : No recompilation if comments only were add or file was reformatted
@if errorlevel 30 goto :end
@if .%2 == .adb goto adb
@if .%2 == .ADB goto adb
@echo jumping to end
:adb
copy @.lst %1.LSB
@goto end
:ads
copy @.lst %1.lss
:end